package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SocietySecurity;
import com.lightinit.hsdatashow.entity.SocietySecurityExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.SocietySecurityModel;
import org.apache.ibatis.annotations.Param;

public interface SocietySecurityMapper {
    long countByExample(SocietySecurityExample example);

    int deleteByExample(SocietySecurityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SocietySecurity record);

    int insertSelective(SocietySecurity record);

    List<SocietySecurity> selectByExample(SocietySecurityExample example);

    SocietySecurity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SocietySecurity record, @Param("example") SocietySecurityExample example);

    int updateByExample(@Param("record") SocietySecurity record, @Param("example") SocietySecurityExample example);

    int updateByPrimaryKeySelective(SocietySecurity record);

    int updateByPrimaryKey(SocietySecurity record);

    List<SocietySecurityModel> getSocietySecurity();
}